<?php
namespace Ep\TecDoc\Plugin;

use Ak\Wp\Plugin\PluginInterface;
use Ep\TecDoc\TecDocService;

/**
 * Class AbstractTecDocPlugin
 *
 * @package Ep\TecDoc\Plugin
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/tecdoc
 */
abstract class AbstractTecDocPlugin implements PluginInterface
{
    /** @var TecDocService */
    protected $tecdoc;

    /**
     * AbstractTecDocPlugin constructor.
     *
     * @param TecDocService $tecdoc
     */
    public function __construct(TecDocService $tecdoc)
    {
        $this->tecdoc = $tecdoc;
    }
}