<?php
namespace Ep\TecDoc\Plugin;

/**
 * Class Brands
 *
 * @package Ep\TecDoc\Plugin
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/core
 */
class Brands extends AbstractTecDocPlugin
{
    public function attach(): void
    {
        add_filter('get_terms', [$this, 'get_terms'], 20, 3);
    }

    public function get_terms($terms, $taxonomy, $query_vars): array
    {
        if ($taxonomy === 'product_brand' || (count($taxonomy) === 1 && in_array('product_brand', $taxonomy)) && isset($query_vars['category'])) {
            $genericArticleIds = get_term_meta($query_vars['category'], 'genericArticleIds', true);

            if ($genericArticleIds) {
                $genericArticleIds = explode(';', $genericArticleIds);
                $articles = $this->tecdoc->getArticlesByGenericIds($genericArticleIds);

                foreach ($articles as $article) {

                }
            }
        }

        return $terms;
    }
}