<?php
namespace Ep\TecDoc\Record;

/**
 * Class VehicleIdsByCriteriaRecord
 *
 * @package Ep\TecDoc\Record
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/tecdoc
 */
class VehicleIdsByCriteriaRecord implements RecordInterface
{
    /** @var int */
    protected $carId;
    /** @var string */
    protected $carName;
    /** @var string */
    protected $carType;
    /** @var string */
    protected $firstCountry;

    /**
     * @return int
     */
    public function getId(): int
    {
        return $this->carId;
    }

    /**
     * @return string
     */
    public function getName(): string
    {
        return $this->carName;
    }

    /**
     * @return string
     */
    public function getType(): string
    {
        return $this->carType;
    }

    /**
     * @return string
     */
    public function getFirstCountry(): string
    {
        return $this->firstCountry;
    }
}