<?php
namespace Ep\TecDoc;

use Zend\ServiceManager\Factory\InvokableFactory;

return [
    'wp_plugins' => [
        'aliases' => [
            'tecdoc.brands'       => Plugin\Brands::class,
            'tecdoc.category'     => Plugin\TecDocCategory::class,
            'tecdoc.translations' => Plugin\Translations::class,
        ],

        'factories' => [
            Plugin\Brands::class         => Plugin\AbstractTecDocPluginFactory::class,
            Plugin\TecDocCategory::class => Plugin\AbstractTecDocPluginFactory::class,
            Plugin\Translations::class   => InvokableFactory::class,
        ],
    ],
];