<?php

namespace Ep\TecDoc\Request;

class  KeyValuesRequest extends AbstractRequest{

    use Parts\LangTrait;

    /** @var int */
    protected  $keyTableId;

    /**
     * @return int
     */
    public function getKeyTableId(): int
    {
        return $this->keyTableId;
    }

    /**
     * @param int $keyTableId
     */
    public function setKeyTableId(int $keyTableId): void
    {
        $this->keyTableId = $keyTableId;
    }

    public function toJson()
    {
        $params = [
            'getKeyValues' => [
                'keyTableId' => $this->keyTableId,
                'lang' => $this->lang,
                'provider' => $this->provider,
            ],
        ];

        return json_encode($params);
    }
}