<?php
namespace Ep\TecDoc\View\Helper;

use Ep\Wp\View\ViewInterface;
use Zend\View\Helper\AbstractHelper;

/**
 * Class SelectedVehicle
 *
 * @package Ep\TecDoc\View\Helper
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/tecdoc
 */
class SelectedVehicle extends AbstractHelper
{
    /** @var ViewInterface */
    protected $theView;

    /**
     * SelectedVehicle constructor.
     *
     * @param ViewInterface $view
     */
    public function __construct(ViewInterface $view)
    {
        $this->theView = $view;
    }

    /**
     * @return string
     */
    public function __invoke(): string
    {
        return $this->theView->render();
    }
}